[Home](/content/readme.md)  

# Dockerfiles

A docker file is a plain text file \(typically with no filename extension) and contains a set of instructions along with a *Context*\.  
- Comments can be added by using a **#** followed by a **\<space>** (ie. # This is a comment).  
- The first instruction in the dockerfile must be **FROM** and the name of the **base image**. 
- A parser directive \(# escape=`) can be used to change default escape character from \ to '  

*Tip: Create the dockerfile by running the base container in interactive mode, and then copy/paste the commands into the dockerfile.*  

## Examples ##
- [sql2017base](sql2017base.dockerfile)  
- [gmsa](gmsa.dockerfile)  

## Dockerfile Commands ##  
The official dockerfile reference guide is found [here](https://docs.docker.com/engine/reference/builder/).  

- **#** \- The hash symbol is used for comments.  
- **\# escape=\`** \- Parser directive to change the escape character from \ to `
- **FROM** \- Sets the base image that all subsequent commands build off of.
- **LABEL** \- Adds metadata to the image.
- **RUN** \- Executes a command in the container image.   
- **COPY** \- Copies a file or folder from the host machine into the filesystem of the image.  
- **ADD** \- Similar to COPY with the added ability to copy from a URL.