# escape=`
# parser directive to change default escape character from \ to '

# Use SQL 2017 Express for base image
FROM microsoft/mssql-server-windows-developer

# Metadata indicating an image creator, image version & description
LABEL Maintainer="JW"
LABEL version="1.0"
LABEL description="Demo SQL build"

# Create folder for custom image data
RUN powershell -command New-Item -ItemType "directory" -Path "c:/DockerDemoData/db"
RUN powershell -command New-Item -ItemType "directory" -Path "c:/DockerDemoData/setup"

# Add database files to db folder
ADD db "c:/DockerDemoData/db"

 # Add scripts to setup folder
ADD setup "c:/DockerDemoData/setup"

# Set PS Execution policy
RUN powershell -command Set-ExecutionPolicy bypass -Force

# Run .NET installer
RUN powershell -command Start-Process c:/DockerDemoData/setup/ndp48-web.exe -ArgumentList "/passive" -Verb Runas

# Update powershell with NuGet
RUN powershell -command Install-PackageProvider -Name NuGet -MinimumVersion 2.8.5.201 -Force -Scope AllUsers

# Install dbatools (as administrator)
RUN powershell -command Install-Module dbatools -Repository PSGallery -Force -Scope AllUsers

# Install SQL PowerShell modules
RUN powershell -command Install-Module SQLServer -Repository PSGallery -Force -Scope AllUsers -AllowClobber